#
# spec file for package ghc-yesod-auth-account
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name yesod-auth-account
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.4.3
Release:        2.25
Summary:        An account authentication plugin for Yesod
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-html-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-nonce-devel
BuildRequires:  ghc-persistent-devel
BuildRequires:  ghc-pwstore-fast-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-yesod-auth-devel
BuildRequires:  ghc-yesod-core-devel
BuildRequires:  ghc-yesod-form-devel
BuildRequires:  ghc-yesod-persistent-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-monad-logger-devel
BuildRequires:  ghc-persistent-sqlite-devel
BuildRequires:  ghc-resourcet-devel
BuildRequires:  ghc-xml-conduit-devel
BuildRequires:  ghc-yesod-devel
BuildRequires:  ghc-yesod-test-devel
%endif

%description
An auth plugin for accounts. Each account consists of a username, email, and
password. The plugin provides new account, email verification, and password
reset pages that can be customized to enhance the user experience.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc Changelog.md README.md example.hs

%changelog
* Thu Sep 15 2016 psimons@suse.com
- Update to version 1.4.3 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 1.4.2 revision 0 with cabal2obs.
